#ifndef LEVENSHTEINDISTANCE_INCLUDED_
#define LEVENSHTEINDISTANCE_INCLUDED_

#ifdef __cplusplus
extern "C" {
#endif

// Folgender ifdef-Block ist die Standardmethode zum Erstellen von Makros, die das Exportieren 
// aus einer DLL vereinfachen. Alle Dateien in dieser DLL werden mit dem LEVENSHTEINDISTANCE_EXPORTS-Symbol
// (in der Befehlszeile definiert) kompiliert. Dieses Symbol darf fr kein Projekt definiert werden,
// das diese DLL verwendet. Alle anderen Projekte, deren Quelldateien diese Datei beinhalten, erkennen 
// LEVENSHTEINDISTANCE_API-Funktionen als aus einer DLL importiert, whrend die DLL
// mit diesem Makro definierte Symbole als exportiert ansieht.
#ifdef LEVENSHTEINDISTANCE_EXPORTS
#define LEVENSHTEINDISTANCE_API __declspec(dllexport)
#else
#define LEVENSHTEINDISTANCE_API __declspec(dllimport)
#endif


LEVENSHTEINDISTANCE_API
int
WINAPI
LevenshteinDistance (TCHAR * S1, TCHAR * S2) ;

#ifdef __cplusplus
}
#endif

#endif